| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Prefix Access Code

Prefix Access Code Definitions and Methods. More...

## Classes
struct | unsp__PrefixAccessCodeId
| Prefix Access Code Identification. More...
struct | unsp__PrefixAccessCode
| Prefix Access Code Data. More...
struct | unsp__PrefixAccessCodeRequest
| Prefix Access Code request. More...
struct | unsp__ModifyPrefixAccessCodeRequest
| Modify Prefix Access Code request. More...
struct | unsp__DeletePrefixAccessCodeRequest
| Delete Prefix Access Code request. More...
struct | unsp__PrefixAccessCodeResult
| Prefix Access Code result. More...
struct | unsp__PrefixAccessCodeEntry
| Prefix Access Code entry. More...
struct | unsp__PrefixAccessCodeList
| Prefix Access Code List. More...
struct | unsp__PrefixAccessCodeListResult
| Prefix Access Code List result. More...
struct | unsp__PrefixAccessCodeOneResult
| Prefix Access Code One result. More...
struct | unsp__GetPrefixAccessCodeListRequest
| Get Prefix Access Code List request. More...
struct | unsp__GetPrefixAccessCodeOneRequest
| Get Prefix Access Code One request. More...

## Enumerations
enum | unsp__PACprefixType { PAC_Operator0Plus, PAC_Operator0, PAC_Operator00, PAC_OperatorIntl, PAC_FGD, PAC_IDDD, PAC_DDD, PAC_NoPrefix, PAC_VerticalSvcCode, PAC_SpeedCode, PAC_CarrierCode, PAC_InvalidCode_, PAC_Extension, PAC_OffNetAc, PAC_OnNetAc, PAC_FacilityAc, PAC_AttendantAc, PAC_HomeCarrierCode, PAC_HomeNRN, PAC_PreventINTriggering, PAC_ServiceCode, PAC_SatelliteAvoidance, PAC_CircuitSwitchedData, PAC_HotlineVoiceGrade, PAC_HotlineDataGrade }
| Prefix Access Code Type. More...
enum | unsp__PACNatureOfAddress { PAC_Unassigned = -1, PAC_Unknown, PAC_Subscriber, PAC_National, PAC_International, PAC_PrefixBased, PAC_NoDn, PAC_L0, PAC_L1, PAC_L2, PAC_NoaExtension, PAC_PrefixBasedNoTNS, PAC_NRN_CPN }
| Prefix Access Code Nature of Address. More...
enum | unsp__PACDestType { PAC_Undefined, PAC_Dest, PAC_Service, PAC_InvalidCode, PAC_E164Dest, PAC_BGCommonDest, PAC_LocalToll }
| Prefix Access Code Destination Type. More...
enum | unsp__PACSortType { SortByUnassigned = -1, SortByCode = 1 }
| Prefix Access Code Sort Type. More...

## Functions
int | unsp__CreatePrefixAccessCode2 (struct unsp__PrefixAccessCodeRequest CreatePrefixAccessCodeRequest, struct unsp__PrefixAccessCodeResult *PrefixAccessCodeResult)
| This method creates a Prefix Access Code. More...
int | unsp__ModifyPrefixAccessCode2 (struct unsp__ModifyPrefixAccessCodeRequest ModifyPrefixAccessCodeRequest, struct unsp__PrefixAccessCodeResult *PrefixAccessCodeResult)
| This method modifies the specified prefix access code. More...
int | unsp__DeletePrefixAccessCode2 (struct unsp__DeletePrefixAccessCodeRequest DeletePrefixAccessCodeRequest, struct unsp__PrefixAccessCodeResult *PrefixAccessCodeResult)
| This method deletes the specified Prefix Access Code. More...
int | unsp__GetPrefixAccessCodeList2 (struct unsp__GetPrefixAccessCodeListRequest GetPrefixAccessCodeListRequest, struct unsp__PrefixAccessCodeListResult *PrefixAccessCodeListResult)
| This method retrieves all Prefix Access Codes on the system. More...
int | unsp__GetPrefixAccessCodeOne2 (struct unsp__GetPrefixAccessCodeOneRequest GetPrefixAccessCodeOneRequest, struct unsp__PrefixAccessCodeOneResult *PrefixAccessCodeOneResult)
| This method retrieves an individual Prefix Access Code. More...

## Detailed Description

Prefix Access Code Definitions and Methods.

A Prefix Access Code defines the dialing sequence of a number plan for E.164 and PNP. This table translates prefix codes, feature access codes, speed codes, and other access codes, and determines the nature of address (NOA). Prefix Access Codes are created to define single digits or strings of digits that enable callers to select specific networks, number formats, and services. For example, a caller uses an international Prefix Access Code to indicate that the subsequent digits in the dialed number identify an international public telecommunication number. A simple prefix access code transforms an extension to international format and forward that number to the global numbering plan, where a common routing on the base of international numbers should be performed.

Prefix Access Codes are grouped per Number Plan.

## Enumeration Type Documentation

## ◆ unsp__PACDestType

enum unsp__PACDestType

Prefix Access Code Destination Type.

Enumerator
PAC_Undefined | Undefined.
PAC_Dest | The call is routed to an outgoing destination. Applicable when PACprefixType is PAC_FacilityAc.
PAC_Service | Service. Applicable when PACprefixType is PAC_VerticalSvcCode or PAC_SpeedCode
PAC_InvalidCode | Invalid Code. Applicable when PACprefixType is PAC_InvalidCode
PAC_E164Dest | 164 Destination. Applicable when Nature of Address is Unknown.
PAC_BGCommonDest | Directs the translation to 'jump' to the BG Common Numbering Plan for further translation. Only the BG Numbering Plan is allowed to escape to the BG Common Numbering Plan, i.e. this Destination Type is not applicable to non-BG Numbering Plans
PAC_LocalToll | Local Toll.

## ◆ unsp__PACNatureOfAddress

enum unsp__PACNatureOfAddress

Prefix Access Code Nature of Address.

Enumerator
PAC_Unassigned | Unassigned.
PAC_Unknown | Unknown.
PAC_Subscriber | Subscriber.
PAC_National | National.
PAC_International | International.
PAC_PrefixBased | Prefix Based.
PAC_NoDn | No DN.
PAC_L0 | The number of PNP Level 0 (Subscriber) number.
PAC_L1 | The number of PNP Level 2 (National) number.
PAC_L2 | The number of PNP Level 3 (International) number.
PAC_NoaExtension | The number of an extension; applies to PNP only. The prefixType EXT along with dnMinLen and dnMaxLen should determine an EXT number.
PAC_PrefixBasedNoTNS | Prefix Based No TNS.
PAC_NRN_CPN | NRN CPN.

## ◆ unsp__PACprefixType

enum unsp__PACprefixType

Prefix Access Code Type.

Enumerator
PAC_Operator0Plus | Operator 0 Plus.
PAC_Operator0 | Operator 0.
PAC_Operator00 | Operator 00.
PAC_OperatorIntl | Operator International.
PAC_FGD | FGD.
PAC_IDDD | IDDD.
PAC_DDD | DDD.
PAC_NoPrefix | No Prefix.
PAC_VerticalSvcCode | Vertical Service Code.
PAC_SpeedCode | Speed Code.
PAC_CarrierCode | Carrier Access Code. Can be an integral part of the called party number for non-North American Numbering Plan.
PAC_InvalidCode_ | Invalid Code.
PAC_Extension | For extension dialing, it applies to PNPs only. For system default PNP, the destId and destType do not apply.
PAC_OffNetAc | Public access code for PSTN outgoing calls. Applies to PNP only.
PAC_OnNetAc | Access code for on-net calls; applies to PNPs only. The destId and destType are not applicable.
PAC_FacilityAc | Private facility access code; applies to PNPs only. destType must be Destination.
PAC_AttendantAc | Attendant access code; applies to PNPs only.
PAC_HomeCarrierCode | Indicates that the CAC of a particular call belongs to the owner of the switch.
PAC_HomeNRN | HomeNRN removal in case NOA coded to national.
PAC_PreventINTriggering | IN triggering has already occurred in the preceding switch and should be prevented.
PAC_ServiceCode | PAC Service Code.
PAC_SatelliteAvoidance | Avoiding Satellites.
PAC_CircuitSwitchedData | PAC Circuit Switched Data.
PAC_HotlineVoiceGrade | PAC Hotline Voice Grade.
PAC_HotlineDataGrade | PAC Hotline Data Grade.

## ◆ unsp__PACSortType

enum unsp__PACSortType

Prefix Access Code Sort Type.

Enumerator
SortByUnassigned | Unknown.
SortByCode | Sort By Code.

## Function Documentation

## ◆ unsp__CreatePrefixAccessCode2()

unsp__CreatePrefixAccessCode2 | ( | struct unsp__PrefixAccessCodeRequest | CreatePrefixAccessCodeRequest,
|  | struct unsp__PrefixAccessCodeResult * | PrefixAccessCodeResult
| ) |  |

This method creates a Prefix Access Code.

The Digits, DNMinLen and DNMaxLen must identify a unique Prefix Access Code within the specified numbering plan. The remaining parameters represent additional attributes of the Prefix Access Code to be created.

Parameters

  CreatePrefixAccessCodeRequest | API request
  PrefixAccessCodeResult | API result MP2 command: APAC [Attributes]

## ◆ unsp__DeletePrefixAccessCode2()

unsp__DeletePrefixAccessCode2 | ( | struct unsp__DeletePrefixAccessCodeRequest | DeletePrefixAccessCodeRequest,
|  | struct unsp__PrefixAccessCodeResult * | PrefixAccessCodeResult
| ) |  |

This method deletes the specified Prefix Access Code.

Parameters

  DeletePrefixAccessCodeRequest | API request
  PrefixAccessCodeResult | API result MP2 command: RPAC [Attributes]

## ◆ unsp__GetPrefixAccessCodeList2()

unsp__GetPrefixAccessCodeList2 | ( | struct unsp__GetPrefixAccessCodeListRequest | GetPrefixAccessCodeListRequest,
|  | struct unsp__PrefixAccessCodeListResult * | PrefixAccessCodeListResult
| ) |  |

This method retrieves all Prefix Access Codes on the system.

It has enhanced sorting capabilities based on Code and filtering by all the fields of unsp__PrefixAccessCodeEntry. The Result List accommodates the Nature of Address.

Parameters

  GetPrefixAccessCodeListRequest | API request
  PrefixAccessCodeListResult | API result

## ◆ unsp__GetPrefixAccessCodeOne2()

unsp__GetPrefixAccessCodeOne2 | ( | struct unsp__GetPrefixAccessCodeOneRequest | GetPrefixAccessCodeOneRequest,
|  | struct unsp__PrefixAccessCodeOneResult * | PrefixAccessCodeOneResult
| ) |  |

This method retrieves an individual Prefix Access Code.

Parameters

  GetPrefixAccessCodeOneRequest | API request
  PrefixAccessCodeOneResult | API result

## ◆ unsp__ModifyPrefixAccessCode2()

unsp__ModifyPrefixAccessCode2 | ( | struct unsp__ModifyPrefixAccessCodeRequest | ModifyPrefixAccessCodeRequest,
|  | struct unsp__PrefixAccessCodeResult * | PrefixAccessCodeResult
| ) |  |

This method modifies the specified prefix access code.

Parameters

  ModifyPrefixAccessCodeRequest | API request
  PrefixAccessCodeResult | API result MP2 command: UPAC [Attributes]